
From: Hugh Dickins <hugh@veritas.com>

mm/filemap.c's generic_file_aio_write_nolock changed SetPageReferenced
to mark_page_accessed in -test3: now follow that in shmem_file_write.



 25-akpm/mm/shmem.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN mm/shmem.c~tmpfs-07-write-mark_page_accessed mm/shmem.c
--- 25/mm/shmem.c~tmpfs-07-write-mark_page_accessed	Wed Oct 15 12:19:23 2003
+++ 25-akpm/mm/shmem.c	Wed Oct 15 12:19:23 2003
@@ -1243,8 +1243,7 @@ shmem_file_write(struct file *file, cons
 
 		flush_dcache_page(page);
 		set_page_dirty(page);
-		if (!PageReferenced(page))
-			SetPageReferenced(page);
+		mark_page_accessed(page);
 		page_cache_release(page);
 
 		if (left) {

_
